//
//  GSFeatureComposer.h
//  GlyphsCore
//
//  Created by Georg Seifert on 10.01.19.
//  Copyright © 2019 schriftgestaltung.de. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <GlyphsCore/GSFont.h>
@class GSCFIndexToCFIndexMap;

NS_ASSUME_NONNULL_BEGIN

@interface GSFeatureComposer : NSObject
+ (NSMutableAttributedString *)composeString:(NSAttributedString *)string forFont:(GSFont *)font featureTags:(NSArray *)featureTags script:(nullable NSString *)script language:(nullable NSString *)language writingDirection:(GSWritingDirection)direction characterIndexesByLayerIndex:(nullable GSCFIndexToCFIndexMap*)characterIndexesByLayerIndex error:(NSError **)error;
@end

NS_ASSUME_NONNULL_END
